## org.apache.mahout.clustering.kmeans
Class KMeansCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,ClusterObservations,org.apache.hadoop.io.Text,ClusterObservations>
          org.apache.mahout.clustering.kmeans.KMeansCombiner

    public class KMeansCombiner

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,ClusterObservations,org.apache.hadoop.io.Text,ClusterObservations>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`KMeansCombiner()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.Text key, java.lang.Iterable<ClusterObservations> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KMeansCombiner

    public KMeansCombiner()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.Text key,
                          java.lang.Iterable<ClusterObservations> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.Text,ClusterObservations,org.apache.hadoop.io.Text,ClusterObservations>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.